<?php

// this shows the app customization options and content + an iPhone emulator built with CSS 

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly  

//preview container
$panel->createOption(array(
'type' => 'custom',
    'custom' => '
    <!-- preview and publish -->
<!-- mobile device -->
<div class="phone-frame">
<div class="phone-container"></div>
<div class="marvel-device iphone6 silver">
    <div class="top-bar"></div>
    <div class="sleep"></div>
    <div class="volume"></div>
    <div class="camera"></div>
    <div class="sensor"></div>
    <div class="speaker"></div>
    <div class="screen">
    <iframe style="width:inherit; height:inherit" src="' . get_site_url( 'null', '?appkey=' . get_option('project_app_key') ) . '"></iframe>
    </div>
    <div class="home"></div>
    <div class="bottom-bar"></div>
</div>
</div> ',
));

$tab = $panel->createTab( array(
    'name' => 'Main',
) );

//app background color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'App background color',
    'desc' => 'Background color of your app',
    'id' => 'website-bg',
    'css' => '#app-theme {background: value;}',
) );

//link colors
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Link color',
    'desc' => 'Color of the links in your app',
    'id' => 'link-colors',
    'css' => '#app-theme a {color: value;}',
) );

//app buttons bg
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Button background color',
    'desc' => 'Background color of the buttons in your app',
    'id' => 'button-bg',
    'css' => '#app-theme button,
    #app-theme .button, .btn {background: value;}',
) );

//app buttons color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Button font color',
    'desc' => 'Color of the buttons in your app',
    'id' => 'button-color',
    'css' => '#app-theme button,
    #app-theme .button, .btn {color: value;}',
) );

$tab->createOption( array( 'type' => 'save', ) );

$tab = $panel->createTab( array(
    'name' => 'Header',
) );

//header menu background
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Header background color',
    'desc' => 'App header background color',
    'id' => 'header',
    'alpha' => true,
    'css' => '#app-theme .primary-menu {background: value;}',
) );

//header menu font color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Header menu font color',
    'desc' => 'App header menu font color',
    'id' => 'header-color',
    'css' => '#app-theme .primary-menu-item {color: value;}',
) );

$tab->createOption( array( 'type' => 'save', ) );

$tab = $panel->createTab( array(
    'name' => 'Navigation',
) );

//navigation menu background
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Navigation menu background color',
    'desc' => 'App navigation background color',
    'id' => 'navi-bg',
    'alpha' => true,
    'css' => '#app-theme .navi{background: value;}',
) );

//navigation menu itmes background
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Navigation menu items background color',
    'desc' => 'App navigation items background color',
    'id' => 'navi-items-bg',
    'css' => '#app-theme .navi li {background: value;}',
) );

//navigation menu itmes border
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Navigation menu items border color',
    'desc' => 'App navigation items border color',
    'id' => 'navi-items-border',
    'css' => '#app-theme .navi li {color: value;}',
) );

//navigation menu itmes border
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Navigation menu font color',
    'desc' => 'App navigation font color',
    'id' => 'navi-color',
    'css' => '#app-theme .navi li a {color: value;}',
) );

$tab->createOption( array( 'type' => 'save', ) );

$tab = $panel->createTab( array(
    'name' => 'Footer',
) );

//footer background color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Footer background color',
    'desc' => 'App footer background color',
    'id' => 'footer-bg',
    'alpha' => true,
    'css' => '#app-theme footer, #app-theme #footer-area, #app-theme .footer-elapse {background: value;}',
) );

//footer font color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Footer font color',
    'desc' => 'App footer font color',
    'id' => 'footer-color',
    'css' => '#app-theme footer, #app-theme footer li, #app-theme .footer-elapse {color: value;}',
) );

$tab->createOption( array( 'type' => 'save', ) );

$tab = $panel->createTab( array(
    'name' => 'Pages',
) );

//page title color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Page title color',
    'desc' => 'App page title color',
    'id' => 'page-title-color',
    'css' => '#app-theme .page-title {color: value;}',
) );

//page title background color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Page title background color',
    'desc' => 'App page title background color',
    'id' => 'page-title-bg-color',
    'css' => '#app-theme .page-title {background: value;}',
) );

//page font color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Page font color',
    'desc' => 'App page font color',
    'id' => 'page-color',
    'css' => '#app-theme .single-page {color: value;}',
) );

//page font color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Page background color',
    'desc' => 'App page background color',
    'id' => 'page-bg',
    'css' => '#app-theme .single-page {background: value;}',
) );

$tab->createOption( array( 'type' => 'save', ) );

$tab = $panel->createTab( array(
    'name' => 'Posts',
) );

//post title color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Post title color',
    'desc' => 'App post title color',
    'id' => 'post-title-color',
    'css' => '#app-theme .post-title {color: value;}',
) );

//post title color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Post title background color',
    'desc' => 'App post title background color',
    'id' => 'post-title-bg',
    'css' => '#app-theme .post-title {background: value;}',
) );

//post font color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Post font color',
    'desc' => 'App post font color',
    'id' => 'post-color',
    'css' => '#app-theme .app-single-post,
    #app-theme .post .excerpt {color: value;}',
) );


//post bg color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Post background color',
    'desc' => 'App post background color',
    'id' => 'post-bg',
    'css' => '#app-theme .app-single-post,
    #app-theme .post .excerpt {background: value;}',
) );

//comments font color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Comment font color',
    'desc' => 'App comments font color',
    'id' => 'comment-color',
    'css' => '#app-theme .commentlist article {color: value;}',
) );

//comments bg color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Comment background color',
    'desc' => 'App comments background color',
    'id' => 'comment-bg',
    'css' => '#app-theme .commentlist article {background: value;}',
) );

//comments form color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Comment form color',
    'desc' => 'App comment form color',
    'id' => 'comment-form-color',
    'css' => '#app-theme .comment-respond,
    #app-theme .comment-form textarea#comment {color: value;}',
) );

//comments form bg color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Comment form background color',
    'desc' => 'App comment form background color',
    'id' => 'comment-form-bg',
    'css' => '#app-theme .comment-respond,
    #app-theme .comment-form textarea#comment {background: value;}',
) );

$tab->createOption( array( 'type' => 'save', ) );

if (class_exists('woocommerce')){
$tab = $panel->createTab( array(
    'name' => 'WooCommerce',
) );
    
//single product color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Product font color',
    'desc' => 'Font color of your WooCommerce products on single product pages',
    'id' => 'single-prod-color',
    'css' => '#app-theme div.product {color: value;}',
) );
    
//product background color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Product background color',
    'desc' => 'Background color of your WooCommerce products',
    'id' => 'prod-bg',
    'css' => ' #app-theme .woocommerce ul.products li.product, 
    #app-theme .woocommerce-page ul.products li.product,  
    #app-theme .woocommerce ul.products li.product, 
    #app-theme.woocommerce ul.products li.product, 
    #app-theme .woocommerce-page ul.products li.product, 
    #app-theme .woocommerce-page[class*=columns-] ul.products li.product, 
    #app-theme .woocommerce[class*=columns-] ul.products li.product,
    #app-theme div.product {background: value;}',
) );
    
//product star color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Product star rating color',
    'desc' => 'WooCommerce product star rating color',
    'id' => 'woo-star-color',
    'css' => '#app-theme .star-rating {color: value;}',
) );
    
//add to cart color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Add to cart button font color',
    'desc' => 'WooCommerce add to cart button font color',
    'id' => 'add-tc-color',
    'css' => '#app-theme ul.products li.product .button,
   #app-theme div.product form.cart .button, .btn {color: value;}',
) );
    
//add to cart bg color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Add to cart button background color',
    'desc' => 'WooCommerce add to cart button background color',
    'id' => 'add-tc-bg',
    'css' => '#app-theme ul.products li.product .button,
   #app-theme div.product form.cart .button {background: value;}',
) );
    
//sale flash color
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Sale flash font color',
    'desc' => 'WooCommerce sale flash font color',
    'id' => 'woo-sale-color',
    'css' => '#app-theme span.onsale {color: value;}',
) );
    
//sale flash bg
$tab->createOption( array(
    'type' => 'color',
    'name' => 'Sale flash background color',
    'desc' => 'WooCommerce sale flash background color',
    'id' => 'woo-sale-bg',
    'css' => '#app-theme span.onsale {background: value;}',
) );
    
}

$tab = $panel->createTab( array(
    'name' => 'Custom CSS',
) );

//sale flash bg
$tab->createOption( array(
    'type' => 'code',
    'id' => 'customcss',
    'name' => 'Custom CSS',
) );

$tab->createOption( array( 'type' => 'save', ) );

$tab = $panel->createTab( array(
    'name' => 'Preview',
    'id' => 'project-app-preview',
) );

$tab = $panel->createTab(array(
    'name' => 'publish',
    'id' => 'project-app-publish',
));

$tab->createOption(array(
    'type' => 'custom',
    'custom' => '<button id="publish-btn" class="button button-primary" target="_blank"><a target=_blank href="https://project2app.com/">' . __('publish now', 'project-app') . '</a></button>
<center>
    <div class="app-key-req">
       <h2>' . __('Your App Key: ', 'project-app') . get_option('project_app_key') . '</h2>
       <span>' . __('Your app key is required to create and publish your app', 'project-app') . '</span>' . 
    '</div>    
</center>'
));